#include "Precompiled.h"
//------------------------------------------------------------------------------
// (c) 05-2001 Gottfried Chen
//------------------------------------------------------------------------------

#include "Command.h"
#include "CommandSetVariable.h"
//#include "CommandMapKey.h"

namespace Ge
{


//------------------------------------------------------------------------------
Command::Command(const char* command) :
//------------------------------------------------------------------------------
mString(command)
{
}

//------------------------------------------------------------------------------
Command* Command::create(const char* command, const char* parameters)
//------------------------------------------------------------------------------
{
    Command* ret = 0;
    std::string cmd(command);
    if (cmd == "set")
        ret = GE_NEW CommandSetVariable(parameters);
//    else if (cmd == "map")
//        ret = GE_NEW CommandMapKey(parameters);
    else
        GE_ASSERT_MSG(false, "Unknown command");
    
    return ret;
}


//------------------------------------------------------------------------------
const std::string& Command::getString() const
//------------------------------------------------------------------------------
{
    return mString;
}

} // namespace Ge