//------------------------------------------------------------------------------
// (c) 05-2001 Gottfried Chen
//------------------------------------------------------------------------------

#ifndef APPLICATION_COMMAND_SET_VARIABLE_H
#define APPLICATION_COMMAND_SET_VARIABLE_H

#include "Command.h"

namespace Ge
{

// Usage in .set file: set VARIABLE value
class CommandSetVariable : public Command
{
public:
    // <parameters> must be of form "VARIABLE value"
    CommandSetVariable(const char* parameters);

    virtual
    void execute(std::string* consoleOutput = 0);

private:
    std::string mId;
    std::string mValue;
};

} // namespace Ge

#endif // APPLICATION_COMMAND_SET_VARIABLE_H