#include "Precompiled.h"
//------------------------------------------------------------------------------
// (c) 05-2001 Gottfried Chen
//------------------------------------------------------------------------------

#include "StringId.h"
#include "StringMap.h"

namespace Ge
{

//------------------------------------------------------------------------------
StringId::StringId(const char* id) :
//------------------------------------------------------------------------------
mId(id)
{
}

//------------------------------------------------------------------------------
const std::string& StringId::getString() const
//------------------------------------------------------------------------------
{
    return StringMap::instance().get(*this);
}

//------------------------------------------------------------------------------
const std::string& StringId::getId() const
//------------------------------------------------------------------------------
{
    return mId;
}

//------------------------------------------------------------------------------
void StringId::setId(const char* id)
//------------------------------------------------------------------------------
{
    mId = id;
}

} // namespace Ge