//------------------------------------------------------------------------------
// (c) 04-2001 Gottfried Chen
//------------------------------------------------------------------------------

#ifndef SOUND_SOUND_DEVICE_H
#define SOUND_SOUND_DEVICE_H

#include <System/Types.h>

namespace Ge
{

class Mp3Player;

#define theSoundDevice SoundDevice::instance()

class SoundDevice
{
public:
    enum Error
    {
        TRACK_NOT_FOUND,
        OK
    };

    ~SoundDevice();

    static
    SoundDevice& instance();

    Error playMusicTrack(const char* file);
    void setMusicVolume(UInt volume);

private:
    SoundDevice();
    
    Mp3Player* mMp3Player;
};

} // namespace Ge

#endif // SOUND_SOUND_DEVICE_H