//------------------------------------------------------------------------------
// (c) 04-2001 Gottfried Chen
//------------------------------------------------------------------------------

#ifndef ENGINE_LOCAL_TRANSFORM_H
#define ENGINE_LOCAL_TRANSFORM_H

#include <Math/Vector.h>
#include <Math/Matrix.h>

namespace Ge
{

class WorldTransform;

// THIS IS DEPRECATED. I'LL REMOVE IT LATER.

// The local transformation applied to an AudioVisual.
// Order of transform application is: first scale then rotate and then translate
class LocalTransform
{
public:
    // Sets to identity transform
    LocalTransform();

    // Accessors
    void setTranslation(const Vector3& translation);
    void setRotation(const Vector3& axis, const Float& angle);
    void setRotation(const Matrix3x3&);
    void setScale(const Vector3& scale);

    const Vector3& getTranslation() const;
    const Matrix3x3& getRotation() const;
    const Vector3& getScale() const;

    // Tools
    void asWorldTransform(WorldTransform&) const;

private:
    Vector3 mTranslation;
    Matrix3x3 mRotation;
    Vector3 mScale;
};

} // namespace Ge

#endif // ENGINE_LOCAL_TRANSFORM_H