//------------------------------------------------------------------------------
// (c) 04-2001 Gottfried Chen
//------------------------------------------------------------------------------

#ifndef ENGINE_MATERIAL_H
#define ENGINE_MATERIAL_H

#include <System/Types.h>
#include <System/Object.h>
#include <Engine/Color.h>

namespace Ge
{

struct Material : public Object
{
    // Default material is ambient, diffuse white, rest is black
    Material();

    static
    Material& defaultMaterial();

    Color mAmbient;
    Color mDiffuse;
    Color mSpecular;
    Color mEmissive;
    Float mSpecularSharpness;
};

} // namespace Ge

#endif // ENGINE_MATERIAL_H