#include "Precompiled.h"
//------------------------------------------------------------------------------
// (c) 06-2001 Gottfried Chen
//------------------------------------------------------------------------------

#include <Engine/RotationController.h>
#include <Engine/Locator.h>

namespace Ge
{

//------------------------------------------------------------------------------
bool RotationController::verifyKey(const Vector3Key&)
//------------------------------------------------------------------------------
{
    return true;
}


//------------------------------------------------------------------------------
bool RotationController::tick(const Timer::Unit& time)
//------------------------------------------------------------------------------
{
    Vector3 hpr;
    bool ret(calcCurrentVector(time, hpr)); 
    GE_ASSERT(getLocator() != 0);
    Matrix3x3 rotation;
    makeRotation(rotation, hpr[0], hpr[1], hpr[2]);
    getLocator()->get().setSubMatrix(rotation);
   
    return ret;
}

} // namespace Ge
