//------------------------------------------------------------------------------
// (c) 06-2001 Gottfried Chen
//------------------------------------------------------------------------------

#ifndef ENGINE_ROTATION_CONTROLLER_H
#define ENGINE_ROTATION_CONTROLLER_H

#include <Engine/KeyframeController.h>

namespace Ge
{

// Controls the rotation part of the local transformation of an AudioVisual
class RotationController : public KeyframeController
{
public:
    virtual
    bool tick(const Timer::Unit&);

protected:
    virtual
    bool verifyKey(const Vector3Key&);
};

} // namespace Ge

#endif // ENGINE_ROTATION_CONTROLLER_H