#include "Precompiled.h"
//------------------------------------------------------------------------------
// (c) 06-2001 Gottfried Chen
//------------------------------------------------------------------------------

#include <Engine/ScaleController.h>
#include <Engine/Locator.h>

namespace Ge
{

//------------------------------------------------------------------------------
bool ScaleController::verifyKey(const Vector3Key& key)
//------------------------------------------------------------------------------
{
    bool ret(key.getValue()[0] >= 0 &&
             key.getValue()[1] >= 0 &&
             key.getValue()[2] >= 0);

    return ret;
}


//------------------------------------------------------------------------------
bool ScaleController::tick(const Timer::Unit& time)
//------------------------------------------------------------------------------
{
    Vector3 scale;
    bool ret(calcCurrentVector(time, scale));
    GE_ASSERT(getLocator() != 0);
    getLocator()->setScale(scale);

    return ret;
}

} // namespace Ge
