#include "Precompiled.h"
//------------------------------------------------------------------------------
// (c) 06-2001 Gottfried Chen
//------------------------------------------------------------------------------

#include <Engine/Vector3ControllerData.h>

namespace Ge
{

//------------------------------------------------------------------------------
void Vector3ControllerData::add(const Vector3Key& key)
//------------------------------------------------------------------------------
{
    mKeys.push_back(key);
}

//------------------------------------------------------------------------------
UInt Vector3ControllerData::getKeyCount() const
//------------------------------------------------------------------------------
{
    return mKeys.size();
}

//------------------------------------------------------------------------------
const Vector3Key& Vector3ControllerData::getKey(UInt index) const
//------------------------------------------------------------------------------
{
    GE_ASSERT(index < getKeyCount());
    return mKeys[index];
}

} // namespace Ge
