#include "Precompiled.h"
//------------------------------------------------------------------------------
// (c) 05-2001 Gottfried Chen
//------------------------------------------------------------------------------

#include <Input/InputContext.h>

namespace Ge
{

//------------------------------------------------------------------------------
InputContext::InputContext()
//------------------------------------------------------------------------------
{
}

//------------------------------------------------------------------------------
InputContext::InputContext(MappedCommand& command)
//------------------------------------------------------------------------------
{
    add(command);
}

//------------------------------------------------------------------------------
void InputContext::update()
//------------------------------------------------------------------------------
{
    UInt i(0);
    for (i = 0; i<mCommands.size(); i++)
        mCommands[i]->update();

    for (i = 0; i<mCommands.size(); i++)
        mCommands[i]->execute();

//    for (i = 0; i<mCommands.size(); i++)
//        mCommands[i]->reset();
}

//------------------------------------------------------------------------------
void InputContext::add(MappedCommand& command)
//------------------------------------------------------------------------------
{
    mCommands.push_back(Pointer<MappedCommand>(&command));
}

} // namespace Ge




