//------------------------------------------------------------------------------
// (c) Mai-2002 Gottfried Chen
//------------------------------------------------------------------------------

#include "DeviceButtonTest.h"

#include <Input/DeviceButton.h>

#include <Application/Metronome.h>

#include <iostream>

namespace Ge
{

//------------------------------------------------------------------------------
void DeviceButtonTest::run() const
//------------------------------------------------------------------------------
{
    KeyboardButton k(Keyboard::SPACE);
    MouseButton m(Mouse::LEFT);

    UInt pressed = 0;
    std::cout<<"Press SPACE or LEFT MOUSE BUTTON\n";
    while (pressed < 2)
    {
        theMetronome().update();
        theKeyboard().update();
        theMouse().update();
        k.update();
        m.update();

        if (m.isButtonDown())
        {
            std::cout<<"LEFT MOUSE BUTTON\n";
            ++pressed;
        }
        else if (k.isButtonDown())
        {
            std::cout<<"SPACE\n";
            ++pressed;
        }
    }
}

} // namespace Ge
