//------------------------------------------------------------------------------
// (c) Mai-2002 Gottfried Chen
//------------------------------------------------------------------------------

#include "ModButtonTest.h"

#include <Input/VirtualButton.h>
#include <Input/ModButton.h>
#include <Input/DeviceButton.h>

#include <Application/Metronome.h>

#include <iostream>


namespace Ge
{

//------------------------------------------------------------------------------
void ModButtonTest::run() const
//------------------------------------------------------------------------------
{
    std::cout<<"Cursor left to move left, Alt as strafe modifier\n";
    KeyboardButton l(Keyboard::LEFT);
    VirtualButton left("move left", l);
        
    KeyboardButton la(Keyboard::LEFT_ALT);
    VirtualButton strafeMod("strafe modifier", la);
    
    ModButton strafe(left, strafeMod);

    UInt counter(0);
    while (counter < 2)
    {
        theMetronome().update();
        theKeyboard().update();
        strafe.update();
        left.update();
        
        if (strafe.isButtonDown())
        {
            std::cout<<"Strafe left\n";
            counter++;
        }

        if (left.isButtonDown())
        {
            std::cout<<"Move left\n";
            counter++;
        }
    }
}

} // namespace Ge
