//------------------------------------------------------------------------------
// (c) Mai-2002 Gottfried Chen
//------------------------------------------------------------------------------

#include "VirtualButtonTest.h"

#include <Input/VirtualButton.h>
#include <Input/ModButton.h>
#include <Input/DeviceButton.h>

#include <Application/Metronome.h>

#include <iostream>

namespace Ge
{

//------------------------------------------------------------------------------
void VirtualButtonTest::run() const
//------------------------------------------------------------------------------
{
    std::cout<<"Press A or LEFT to strafe left\n";
    // Create key and bind A
    KeyboardButton a(Keyboard::A);
    VirtualButton strafe("Strafe left", a);
  
    // Bind it to LEFT
    KeyboardButton left(Keyboard::LEFT);
    strafe.map(left);
    
    UInt count(0);
    while (count < 2)
    {
        theMetronome().update();
        theKeyboard().update();
        strafe.update();
        if (strafe.isButtonDown())
        {
            std::cout<<"Strafing left\n";
            count++;
        }
    }
}

} // namespace Ge
