#include "Precompiled.h"

//------------------------------------------------------------------------------
// (c) 06-2001 Gottfried Chen
//------------------------------------------------------------------------------

#include <Math/HermiteInterpolator.h>
#include <Math/Interpolation.h>

namespace Ge
{

//------------------------------------------------------------------------------
Float HermiteInterpolator::interpolate(const Float& f0, const Float& f1,
                                       const Float& df0, const Float& df1,
                                       const Float& s) const
//------------------------------------------------------------------------------
{
    return hermite(f0, f1, df0, df1, s);
}

} // namespace Ge
