//------------------------------------------------------------------------------
// (c) 05-2001 Gottfried Chen
//------------------------------------------------------------------------------

#ifndef MATH_PERLIN_H
#define MATH_PERLIN_H

#include <System/Base.h>

namespace Ge
{

// Just a basic 2D Perlin noise generator. Don't need it yet, so I didn't
// continue working on it.
class Perlin
{
public:
    Perlin(UInt iterations, Float dampening);
    
    // <x>, <y> should between 0 and 1
    Float noise(Float x, Float y) const;
    
private:
    Float interpolatedRandom(Float x, Float y) const;
    Float random(Int x, Int y) const;
    
    UInt mIterations;
    Float mDampening;
};

} // Ge

#endif // MATH_PERLIN_H