#ifndef MATH_RANDOM_H
#define MATH_RANDOM_H
#pragma once

//------------------------------------------------------------------------------
// (c) 01-2002 Gottfried Chen
//------------------------------------------------------------------------------

#include <System/Types.h>

#include <stdlib.h>

namespace Ge
{

// Return a random number between <min> and <max>
Float frand(Float min, Float max);

// Return a random number between <min> and <max>
Int rand(Int min, Int max);

// Need this because otherwise global rand() can't be seen in namespace Ge.
using ::rand;

// Returns gaussian distributed random numbers with mean 0 and standard
// deviation 1.
Float gaussian();

} // namespace Ge

#endif // MATH_RANDOM_H