#include "Precompiled.h"

//------------------------------------------------------------------------------
// (c) 03-2001 Gottfried Chen
//------------------------------------------------------------------------------

#include <System/Assert.h>
#include <windows.h>
#include <assert.h>
#include <strstream>

namespace Ge
{

//------------------------------------------------------------------------------
void geAssert(bool expression, const char* message, const char* file, UInt line)
//------------------------------------------------------------------------------
{
    if (!expression)
    {
        std::strstream text;
        text<<message<<std::endl<<std::endl;
        text<<"File "<<file<<", Line "<<line<<std::ends;
        MessageBox(0, text.str(), "Assertion failed", MB_OK|MB_ICONWARNING);
        text.freeze(false);
        assert(false);
    }
}

} // namespace Ge