#include "Precompiled.h"

//------------------------------------------------------------------------------
// (c) 12-2001 Gottfried Chen
//------------------------------------------------------------------------------

#include "ByteOrder.h"
#include "Assert.h"
#include <iostream>


namespace Ge
{

//------------------------------------------------------------------------------
ByteOrder& ByteOrder::instance()
//------------------------------------------------------------------------------
{
    static ByteOrder bo;
    return bo;
}

//------------------------------------------------------------------------------
ByteOrder::ByteOrder()
//------------------------------------------------------------------------------
{
    short test = 1;
    mLocal = *(reinterpret_cast<char*>(&test)) == 0 ? BIG_ENDIAN : LITTLE_ENDIAN;
}

//------------------------------------------------------------------------------
ByteOrder::Type ByteOrder::local() const
//------------------------------------------------------------------------------
{
    return mLocal;
}

} // namespace Ge