#ifndef FILE_SYSTEM_H
#define FILE_SYSTEM_H
#pragma once

//------------------------------------------------------------------------------
// (c) Jun-2002 Gottfried Chen
//------------------------------------------------------------------------------

#include <string>

namespace Ge
{

class FileSystem
{
public:
    FileSystem();

    // Get the path, the application was started in.
    const std::string& getApplicationPath() const;

private:
    std::string mApplicationPath;
};

inline
//------------------------------------------------------------------------------
FileSystem& theFileSystem()
//------------------------------------------------------------------------------
{
    static FileSystem fs;
    return fs;
}

} // namespace Ge

#endif // !FILE_SYSTEM_H