#ifndef SYSTE_NOCOPY_H
#define SYSTE_NOCOPY_H
#pragma once

//------------------------------------------------------------------------------
// (c) Sep-2002 Gottfried Chen
//------------------------------------------------------------------------------

namespace Ge
{

// Mix in this class (i.e. using multiple inheritance) if you don't want
// a class to be copied. Has-A can be used too, but in this case inheritance
// is clearer (at least IMHO).
// This saves the typing of private copy c'tor and assignement operator.
class NoCopy
{
public:
    NoCopy() {}
private:
    NoCopy(const NoCopy&);
    NoCopy& operator =(const NoCopy&);
};

} // namespace Ge

#endif // !SYSTE_NOCOPY_H