//------------------------------------------------------------------------------
// (c) 03-2001 Gottfried Chen
//------------------------------------------------------------------------------

#include <System/Assert.h>

namespace Ge
{

inline
//------------------------------------------------------------------------------
Object::Object() :
//------------------------------------------------------------------------------
mReferenceCount(0)
{
}

inline
//------------------------------------------------------------------------------
Object::Object(const Object&) :
//------------------------------------------------------------------------------
mReferenceCount(0)
{
}

inline
//------------------------------------------------------------------------------
Object::~Object()
//------------------------------------------------------------------------------
{
}

inline
//------------------------------------------------------------------------------
void Object::reference() const
//------------------------------------------------------------------------------
{
    mReferenceCount++;
}

inline
//------------------------------------------------------------------------------
void Object::dereference() const
//------------------------------------------------------------------------------
{
    GE_ASSERT_MSG(mReferenceCount >= 0, "Pointer reference count is negative");
    if (--mReferenceCount == 0)
        GE_DELETE this;
}

} // namespace Ge