//------------------------------------------------------------------------------
// (c) Apr-2002 Gottfried Chen
//------------------------------------------------------------------------------

#include "CrcTest.h"
#include <System/Crc.h>

namespace Ge
{

//------------------------------------------------------------------------------
void CrcTest::run() const
//------------------------------------------------------------------------------
{
    Crc16 crc16;
    Crc32 crc32;
    CrcCcitt crcCcitt;

    crc16.process("123456789", 9);
    crc32.process("123456789", 9);
    crcCcitt.process("123456789", 9);

    GE_ASSERT(crc16.get() == 0xbb3d);
    GE_ASSERT(crc32.get() == 0xcbf43926);
    GE_ASSERT(crcCcitt.get() == 0x29b1);
}

} // namespace Ge
