//------------------------------------------------------------------------------
// (c) 01-2002 Gottfried Chen
//------------------------------------------------------------------------------

#ifndef IMAGE_HEIGHT_MAP_H
#define IMAGE_HEIGHT_MAP_H

#include "HeightMap.h"

namespace Ge
{

class Image;

class ImageHeightMap : public HeightMapImpl
{
public:

    virtual
    unsigned char get(unsigned int x, unsigned int y) const;
    
    virtual
    unsigned int getXSize() const;

    virtual
    unsigned int getYSize() const;

private:
    friend class HeightMap;
    ImageHeightMap(Image&);

    Image& mImage;
    unsigned int mBytesPerPixel;
};

} // namespace Ge

#endif // IMAGE_HEIGHT_MAP_H
