#include "Precompiled.h"
#include "UCharMap.h"

namespace Ge
{

//------------------------------------------------------------------------------
unsigned char UCharMap::get(unsigned int x, unsigned int y) const
//------------------------------------------------------------------------------
{
    GE_ASSERT(x < mXSize && y < mYSize);
    return mMap[y*mXSize+x];
}

//------------------------------------------------------------------------------
unsigned int UCharMap::getXSize() const
//------------------------------------------------------------------------------
{
    return mXSize;
}

//------------------------------------------------------------------------------
unsigned int UCharMap::getYSize() const
//------------------------------------------------------------------------------
{
    return mYSize;
}

//------------------------------------------------------------------------------
UCharMap::UCharMap(const unsigned char* map, unsigned int xSize, unsigned int ySize) :
//------------------------------------------------------------------------------
mMap(map),
mXSize(xSize),
mYSize(ySize)
{
}

} // namespace Ge