//------------------------------------------------------------------------------
// (c) 01-2002 Gottfried Chen
//------------------------------------------------------------------------------

#ifndef UCHARMAP_H
#define UCHARMAP_H

#include "HeightMap.h"

namespace Ge
{

class UCharMap : public HeightMapImpl
{
public:
    virtual
    unsigned char get(unsigned int x, unsigned int y) const;
    
    virtual
    unsigned int getXSize() const;

    virtual
    unsigned int getYSize() const;

private:
    friend class HeightMap;
    UCharMap(const unsigned char* map, unsigned int xSize, unsigned int ySize);

    const unsigned char* mMap;
    unsigned int mXSize;
    unsigned int mYSize;
};

} // namespace Ge

#endif // UCHARMAP_H