#include "Precompiled.h"
#include "stdafx.h"
#include "MfcWindow.h"


#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

//------------------------------------------------------------------------------
MfcWindow::MfcWindow(const char* name, int left, int top, int width, int height)
//------------------------------------------------------------------------------
{
    const char* className = AfxRegisterWndClass(0,
        AfxGetApp()->LoadStandardCursor(IDC_ARROW));

    DWORD style = WS_OVERLAPPEDWINDOW;
    
    // Adjust window rect so that the client size is width x height
    RECT rect =
    {
        left,
        top,
        left + width,
        top + height
    };
    AdjustWindowRect(&rect, style, FALSE);

    CreateEx(0,
             className,
             name,
             style,
             rect.left, rect.top,
             rect.right-rect.left, rect.bottom-rect.top,
             0,
             0);

    ShowWindow(SW_SHOW);
    UpdateWindow();
}

//------------------------------------------------------------------------------
void MfcWindow::PostNcDestroy()
//------------------------------------------------------------------------------
{
    PostQuitMessage(0);
}