#include "Precompiled.h"
//------------------------------------------------------------------------------
// (c) 05-2001 Gottfried Chen
//------------------------------------------------------------------------------

#include "CommandMapKey.h"

#include <System/StringTools.h>

#include <Input/KeyMap.h>

namespace Ge
{


//------------------------------------------------------------------------------
CommandMapKey::CommandMapKey(const char* parameters) :
//------------------------------------------------------------------------------
Command("CommandMapKey")
{
    std::string code;
    StringTools::split(std::string(parameters), code, mVirtualButton);
    mCode = DeviceButton::stringToCode(code.c_str());
}

//------------------------------------------------------------------------------
void CommandMapKey::execute(std::string* consoleOutput)
//------------------------------------------------------------------------------
{
    theKeyMap.map(mCode, mVirtualButton.c_str());
}

} // namespace Ge