//------------------------------------------------------------------------------
// (c) 05-2001 Gottfried Chen
//------------------------------------------------------------------------------

#ifndef APPLICATION_COMMAND_MAP_KEY_H
#define APPLICATION_COMMAND_MAP_KEY_H

#include "Command.h"

#include <Input/DeviceButton.h>

namespace Ge
{

// Usage in .set file: map KEY_CODE virtual key name
class CommandMapKey : public Command
{
public:
    // <parameters> must be of form "KEY_CODE virtual key name"
    CommandMapKey(const char* parameters);

    virtual
    void execute(std::string* consoleOutput = 0);

private:
    DeviceButton::Code mCode;
    std::string mVirtualButton;
};

} // namespace Ge

#endif // APPLICATION_COMMAND_MAP_KEY_H
