#include "Precompiled.h"
//------------------------------------------------------------------------------
// (c) 05-2001 Gottfried Chen
//------------------------------------------------------------------------------

#include "CommandSetVariable.h"
#include "Settings.h"

#include <System/StringTools.h>


namespace Ge
{

//------------------------------------------------------------------------------
CommandSetVariable::CommandSetVariable(const char* parameters) :
//------------------------------------------------------------------------------
Command("CommandSetVariable")
{
    StringTools::split(std::string(parameters), mId, mValue);
}


//------------------------------------------------------------------------------
void CommandSetVariable::execute(std::string* consoleOutput)
//------------------------------------------------------------------------------
{
    Settings::Variable var(mId, mValue);
    Settings::instance().setVariable(var);
    if (consoleOutput != 0)
        *consoleOutput = mId + " set to " + mValue;
}

} // namespace Ge
