//------------------------------------------------------------------------------
// (c) 05-2001 Gottfried Chen
//------------------------------------------------------------------------------

#ifndef ENGINE_BILLBOARD_H
#define ENGINE_BILLBOARD_H

#include <Engine/Node.h>

namespace Ge
{

class Camera;

// Billboard nodes rotate the whole subtree below them towards the camera
class Billboard : public Node
{
public:
    virtual
    void accumulate(Sorter&, const Camera&, bool continueCulling);

    void setCamera(const Camera&);

    virtual
    AudioVisual* clone() const;
};

#endif // ENGINE_BILLBOARD_H

} // namespace Ge