//------------------------------------------------------------------------------
// (c) 04-2001 Gottfried Chen
//------------------------------------------------------------------------------

#include <Engine/Material.h>
#include <System/Pointer.h>

namespace Ge
{

//------------------------------------------------------------------------------
Material::Material() :
//------------------------------------------------------------------------------
mAmbient(1, 1, 1, 1),
mDiffuse(1, 1, 1, 1),
mEmissive(0, 0, 0, 0),
mSpecular(0, 0, 0, 0),
mSpecularSharpness(0)
{
}

//------------------------------------------------------------------------------
Material& Material::defaultMaterial()
//------------------------------------------------------------------------------
{
    static Pointer<Material> material(GE_NEW Material);
    return *material;
}

} // namespace Ge
