#ifndef ENGINE_BOX_H
#define ENGINE_BOX_H
#pragma once

//------------------------------------------------------------------------------
// (c) Jun-2002 Gottfried Chen
//------------------------------------------------------------------------------

#include <System/Base.h>

namespace Ge
{

class Mesh;

class Box
{
public:
    // Creates a box with <x>, <y> and <z> size centered in the origin.
    // Only vertices and normals are created.
    static
    Mesh* create(Float x, Float y, Float z);
};

} // namespace Ge

#endif // !ENGINE_BOX_H