#ifndef ENGINE_MD3_IMPORTER_H
#define ENGINE_MD3_IMPORTER_H
#pragma once

//------------------------------------------------------------------------------
// (c) Aug-2002 Gottfried Chen
//------------------------------------------------------------------------------

namespace Ge
{

class Md3Model;
class Link;

class Md3Importer
{
public:
    // <path> is the name of the model's path
    Md3Importer(const char* path);

    ~Md3Importer();

    // The model will be created on the heap. The user takes ownership.
    Md3Model* import() const;

//    Link* debug() const;

private:
    class Impl;

    Impl* mImpl;
};

} // namespace Ge

#endif // !ENGINE_MD3_IMPORTER_H