#include "Precompiled.h"
//------------------------------------------------------------------------------
// (c) 06-2001 Gottfried Chen
//------------------------------------------------------------------------------

#include <Engine/PositionController.h>
#include <Engine/Locator.h>

namespace Ge
{

//------------------------------------------------------------------------------
bool PositionController::verifyKey(const Vector3Key&)
//------------------------------------------------------------------------------
{
    return true;
}

//------------------------------------------------------------------------------
bool PositionController::tick(const Timer::Unit& time)
//------------------------------------------------------------------------------
{
    Vector3 pos;
    bool ret(calcCurrentVector(time, pos));
    GE_ASSERT(getLocator() != 0);
    getLocator()->get().setColumn(MatrixBase::TRANSLATION, pos);

    return ret;
}

} // namespace Ge
