//------------------------------------------------------------------------------
// (c) 06-2001 Gottfried Chen
//------------------------------------------------------------------------------

#ifndef ENGINE_POSITION_CONTROLLER_H
#define ENGINE_POSITION_CONTROLLER_H

#include <Engine/KeyframeController.h>

namespace Ge
{

// Controls the translation part of the local transformation of an AudioVisual
class PositionController : public KeyframeController
{
public:
    virtual
    bool tick(const Timer::Unit&);

protected:
    virtual
    bool verifyKey(const Vector3Key&);
};

} // namespace Ge

#endif // ENGINE_POSITION_CONTROLLER_H