#ifndef ENGINE_SPHERE_MESH_H
#define ENGINE_SPHERE_MESH_H
#pragma once

//------------------------------------------------------------------------------
// (c) Okt-2002 Gottfried Chen
//------------------------------------------------------------------------------

#include <System/Types.h>

namespace Ge
{

class Mesh;

class SphereMesh
{
public:
    // <tesselation> denotes into how many slices 360 degrees are partitioned
    // during tesselation.
    static
    Mesh* create(Float radius, UInt tesselation = 18);
};

} // namespace Ge

#endif // !ENGINE_SPHERE_MESH_H