//------------------------------------------------------------------------------
// (c) 06-2001 Gottfried Chen
//------------------------------------------------------------------------------

#ifndef ENGINE_VECTOR3_CONTROLLER_DATA_H
#define ENGINE_VECTOR3_CONTROLLER_DATA_H

#include <System/Timer.h>
#include <System/Object.h>
#include <Engine/Vector3Key.h>
#include <vector>

namespace Ge
{

class Vector3Key;

// Contains the actual keys for a Vector3Controller
class Vector3ControllerData : public Object
{
public:    
    void add(const Vector3Key&);
    const Vector3Key& getKey(UInt index) const;
    UInt getKeyCount() const;

private:
    std::vector<Vector3Key> mKeys;
};

} // namespace Ge

#endif // ENGINE_VECTOR3_CONTROLLER_DATA_H