#include "Precompiled.h"
//------------------------------------------------------------------------------
// (c) 06-2001 Gottfried Chen
//------------------------------------------------------------------------------

#include <Engine/Vector3Key.h>


namespace Ge
{

//------------------------------------------------------------------------------
void Vector3Key::setValue(const Vector3& value)
//------------------------------------------------------------------------------
{
    mValue = value;
}

//------------------------------------------------------------------------------
void Vector3Key::setTangentIn(const Vector3& tangentIn)   
//------------------------------------------------------------------------------
{
    mTangentIn = tangentIn;
}

//------------------------------------------------------------------------------
void Vector3Key::setTangentOut(const Vector3& tangentOut)
//------------------------------------------------------------------------------
{
    mTangentOut = tangentOut;
}

//------------------------------------------------------------------------------
const Vector3& Vector3Key::getValue() const
//------------------------------------------------------------------------------
{
    return mValue;
}

//------------------------------------------------------------------------------
const Vector3& Vector3Key::getTangentIn() const
//------------------------------------------------------------------------------
{
    return mTangentIn;
}

//------------------------------------------------------------------------------
const Vector3& Vector3Key::getTangentOut() const
//------------------------------------------------------------------------------
{
    return mTangentOut;
}

} // namespace Ge
