#ifndef INPUT_KEYBOARD_H
#define INPUT_KEYBOARD_H
#pragma once

//------------------------------------------------------------------------------
// (c) Mai-2002 Gottfried Chen
//------------------------------------------------------------------------------

namespace Ge
{

class Keyboard
{
public:
#define X(a, b) a
    enum Button
    {
#include "KeyCodes.h"
        ,KEY_COUNT
    };
#undef X

    static
    Keyboard& instance();

    // Call this once per frame to update the key samples.
    void update();

    // Returns true if the corresponding key is pressed.
    bool isPressed(Button) const;

private:
    Keyboard();

    bool mPressed[KEY_COUNT];
};

inline
//------------------------------------------------------------------------------
Keyboard& theKeyboard()
//------------------------------------------------------------------------------
{
    return Keyboard::instance();
}

} // namespace Ge

#endif // !INPUT_KEYBOARD_H