//------------------------------------------------------------------------------
// (c) Mai-2002 Gottfried Chen
//------------------------------------------------------------------------------

#include <System/TestFramework.h>

#include "DeviceButtonTest.h"
#include "RepeatButtonTest.h"
#include "VirtualButtonTest.h"
#include "ModButtonTest.h"
#include "MultiButtonTest.h"
#include "ComboButtonTest.h"
#include "MappedCommandTest.h"
#include "InputContextTest.h"

int main()
{
    using namespace Ge;

    beginTestSuite("Input library");

    RUN_TEST(DeviceButtonTest);
    RUN_TEST(RepeatButtonTest);
    RUN_TEST(VirtualButtonTest);
    RUN_TEST(ModButtonTest);
    RUN_TEST(MultiButtonTest);
    RUN_TEST(ComboButtonTest);
    RUN_TEST(MappedCommandTest);
    RUN_TEST(InputContextTest);

    endTestSuite();

    return 0;
}



