#include "Precompiled.h"

//------------------------------------------------------------------------------
// (c) 06-2001 Gottfried Chen
//------------------------------------------------------------------------------

#include <Math/LinearInterpolator.h>
#include <Math/Interpolation.h>

namespace Ge
{

//------------------------------------------------------------------------------
Float LinearInterpolator::interpolate(const Float& f0, const Float& f1,
                                      const Float& df0, const Float& df1,
                                      const Float& s) const
//------------------------------------------------------------------------------
{
    return lerp(f0, f1, s);
}

} // namespace Ge
