//------------------------------------------------------------------------------
// (c) Apr-2002 Gottfried Chen
//------------------------------------------------------------------------------

#include <System/TestFramework.h>

#include "VectorTest.h"
#include "MatrixTest.h"
#include "QuaternionTest.h"
#include "InterpolationTest.h"
#include "PrimitivesTest.h"

int main()
{
    using namespace Ge;

    beginTestSuite("Math library");

    RUN_TEST(VectorTest);
    RUN_TEST(MatrixTest);
    RUN_TEST(QuaternionTest);
    RUN_TEST(InterpolationTest);
    RUN_TEST(PrimitivesTest);

    endTestSuite();

    return 0;
}



