//------------------------------------------------------------------------------
// (c) 05-2001 Gottfried Chen
//------------------------------------------------------------------------------

namespace Ge
{

inline
//------------------------------------------------------------------------------
const Float& MassPoint::getMass() const
//------------------------------------------------------------------------------
{
    return mMass;
}

inline
//------------------------------------------------------------------------------
void MassPoint::setMass(const Float& mass)
//------------------------------------------------------------------------------
{
    mMass = mass;
}

inline
//------------------------------------------------------------------------------
const Vector3& MassPoint::getPosition() const
//------------------------------------------------------------------------------
{
    return mPos;
}

inline
//------------------------------------------------------------------------------
void MassPoint::setPosition(const Vector3& pos)
//------------------------------------------------------------------------------
{
    mPos = pos;
}

inline
//------------------------------------------------------------------------------
const Vector3& MassPoint::getVelocity() const
//------------------------------------------------------------------------------
{
    return mV;
}

inline
//------------------------------------------------------------------------------
void MassPoint::setVelocity(const Vector3& v)
//------------------------------------------------------------------------------
{
    mV = v;
}

inline
//------------------------------------------------------------------------------
const Vector3& MassPoint::getAcceleration() const
//------------------------------------------------------------------------------
{
    return mA;
}

inline
//------------------------------------------------------------------------------
void MassPoint::setAcceleration(const Vector3& a)
//------------------------------------------------------------------------------
{
    mA = a;
}


} // namespace Ge
