#include "Precompiled.h"
//------------------------------------------------------------------------------
// (c) Mai-2002 Gottfried Chen
//------------------------------------------------------------------------------

#include "Tools.h"

#include <windows.h>

namespace Ge
{

//------------------------------------------------------------------------------
void sleep(UInt milliseconds)
//------------------------------------------------------------------------------
{
#ifdef _WIN32
    Sleep(milliseconds);
#endif
}

//------------------------------------------------------------------------------
bool openLoadDialog(std::string& path,
                    const char* filter)
//------------------------------------------------------------------------------
{
    OPENFILENAME ofn;
    char buffer[200];
    memset(buffer, 0, 200);
    memset(&ofn, 0, sizeof(ofn));
    ofn.lStructSize = sizeof(ofn);
    ofn.lpstrFile = buffer;
    ofn.nMaxFile = 200;
    ofn.lpstrFilter = filter;
    
    if (GetOpenFileName(&ofn) != 0)
    {
        path = buffer;
        return true;
    }
    else
    {
        path = "";
        return false;
    }
}

} // namespace Ge
