//------------------------------------------------------------------------------
// (c) 02-2002 Gottfried Chen
//------------------------------------------------------------------------------

#ifndef TRACE_STREAM_H
#define TRACE_STREAM_H

#include <iosfwd>

#include <System/Timer.h>

#include <Application/Metronome.h>

#define GE_TRACE(msg) theTraceStream<<msg

#define GE_INTERVAL_TRACE(msg, time) \
{ \
    static Timer::Unit last = 0; \
    if (theMetronome().getAbsolute() - last > (time)) \
    { \
        last = theMetronome().getAbsolute(); \
        theTraceStream<<msg; \
    } \
}

namespace Ge
{
    extern ::std::ostream theTraceStream;
}



#endif // TRACE_STREAM_H