#ifndef BUMP_MD3_CONTEXT_H
#define BUMP_MD3_CONTEXT_H
#pragma once

//------------------------------------------------------------------------------
// (c) Sep-2002 Gottfried Chen
//------------------------------------------------------------------------------

#include "Md3Context.h"


namespace Ge
{

class BumpMd3Context : public Md3Context
{
public:
    BumpMd3Context();

    virtual void init();

    virtual void update();

    virtual void render();

    virtual void exit();

private:
    void setLightInModel();

    KeyboardButton mToggleSpecular;
    bool mSpecularOn;
};

} // namespace Ge

#endif // !BUMP_MD3_CONTEXT_H