#ifndef GERSTNER_WAVES_CONTEXT_H
#define GERSTNER_WAVES_CONTEXT_H
#pragma once

//------------------------------------------------------------------------------
// (c) Jun-2002 Gottfried Chen
//------------------------------------------------------------------------------

#include "WaterContextBase.h"

#include <Terrain/GerstnerWaves.h>

namespace Ge
{

class Mesh;

class GerstnerWavesContext : public WaterContextBase
{
public:
    GerstnerWavesContext();

    virtual void init();

    virtual void update();

    virtual void exit();

private:
    GerstnerWaves mGerstner;

    Mesh* mMesh;
};

} // namespace Ge

#endif // !GERSTNER_WAVES_CONTEXT_H